Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 4504 in orxonox.OLD for orxonox/trunk/configure


Ignore:
Timestamp:
Jun 4, 2005, 12:38:30 AM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: merged the SoundEngine into the Trunk.
merged file by file, but merged all the files in favor of the new trunk

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r4484 r4504  
    62556255###################################
    62566256
    6257 #---------#
    6258 # SDL_ttf #
    6259 #---------#
    6260 # checking for SDL_ttf-headers
    6261 
    6262 for ac_header in SDL_ttf.h
     6257#--------#
     6258# openAL #
     6259#--------#
     6260# checking for openAL-headers
     6261
     6262for ac_header in AL/al.h
    62636263do
    62646264as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    64066406
    64076407else
     6408  { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
     6409echo "$as_me: error: cannot find openAL header." >&2;}
     6410   { (exit 1); exit 1; }; }
     6411fi
     6412
     6413done
     6414
     6415# checking for openAL-lib
     6416  echo "$as_me:$LINENO: checking for main in -lopenal" >&5
     6417echo $ECHO_N "checking for main in -lopenal... $ECHO_C" >&6
     6418if test "${ac_cv_lib_openal_main+set}" = set; then
     6419  echo $ECHO_N "(cached) $ECHO_C" >&6
     6420else
     6421  ac_check_lib_save_LIBS=$LIBS
     6422LIBS="-lopenal  $LIBS"
     6423cat >conftest.$ac_ext <<_ACEOF
     6424/* confdefs.h.  */
     6425_ACEOF
     6426cat confdefs.h >>conftest.$ac_ext
     6427cat >>conftest.$ac_ext <<_ACEOF
     6428/* end confdefs.h.  */
     6429
     6430
     6431int
     6432main ()
     6433{
     6434main ();
     6435  ;
     6436  return 0;
     6437}
     6438_ACEOF
     6439rm -f conftest.$ac_objext conftest$ac_exeext
     6440if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6441  (eval $ac_link) 2>conftest.er1
     6442  ac_status=$?
     6443  grep -v '^ *+' conftest.er1 >conftest.err
     6444  rm -f conftest.er1
     6445  cat conftest.err >&5
     6446  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6447  (exit $ac_status); } &&
     6448         { ac_try='test -z "$ac_c_werror_flag"
     6449                         || test ! -s conftest.err'
     6450  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6451  (eval $ac_try) 2>&5
     6452  ac_status=$?
     6453  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6454  (exit $ac_status); }; } &&
     6455         { ac_try='test -s conftest$ac_exeext'
     6456  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6457  (eval $ac_try) 2>&5
     6458  ac_status=$?
     6459  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6460  (exit $ac_status); }; }; then
     6461  ac_cv_lib_openal_main=yes
     6462else
     6463  echo "$as_me: failed program was:" >&5
     6464sed 's/^/| /' conftest.$ac_ext >&5
     6465
     6466ac_cv_lib_openal_main=no
     6467fi
     6468rm -f conftest.err conftest.$ac_objext \
     6469      conftest$ac_exeext conftest.$ac_ext
     6470LIBS=$ac_check_lib_save_LIBS
     6471fi
     6472echo "$as_me:$LINENO: result: $ac_cv_lib_openal_main" >&5
     6473echo "${ECHO_T}$ac_cv_lib_openal_main" >&6
     6474if test $ac_cv_lib_openal_main = yes; then
     6475  FOUND_openal=yes
     6476fi
     6477
     6478     if test x$FOUND_openal = xyes ; then
     6479       LIBS="$LIBS -lopenal"
     6480     else
     6481        echo "------------------"
     6482        echo "openal library not found."
     6483        echo "please install the openal library, which can be found at http://www.openal.org"
     6484        echo "------------------"
     6485        exit -1
     6486     fi
     6487
     6488#-----#
     6489# ogg #
     6490#-----#
     6491# checking for ogg-headers
     6492
     6493for ac_header in ogg/ogg.h
     6494do
     6495as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     6496if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6497  echo "$as_me:$LINENO: checking for $ac_header" >&5
     6498echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6499if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6500  echo $ECHO_N "(cached) $ECHO_C" >&6
     6501fi
     6502echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6503echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6504else
     6505  # Is the header compilable?
     6506echo "$as_me:$LINENO: checking $ac_header usability" >&5
     6507echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     6508cat >conftest.$ac_ext <<_ACEOF
     6509/* confdefs.h.  */
     6510_ACEOF
     6511cat confdefs.h >>conftest.$ac_ext
     6512cat >>conftest.$ac_ext <<_ACEOF
     6513/* end confdefs.h.  */
     6514$ac_includes_default
     6515#include <$ac_header>
     6516_ACEOF
     6517rm -f conftest.$ac_objext
     6518if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6519  (eval $ac_compile) 2>conftest.er1
     6520  ac_status=$?
     6521  grep -v '^ *+' conftest.er1 >conftest.err
     6522  rm -f conftest.er1
     6523  cat conftest.err >&5
     6524  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6525  (exit $ac_status); } &&
     6526         { ac_try='test -z "$ac_c_werror_flag"
     6527                         || test ! -s conftest.err'
     6528  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6529  (eval $ac_try) 2>&5
     6530  ac_status=$?
     6531  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6532  (exit $ac_status); }; } &&
     6533         { ac_try='test -s conftest.$ac_objext'
     6534  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6535  (eval $ac_try) 2>&5
     6536  ac_status=$?
     6537  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6538  (exit $ac_status); }; }; then
     6539  ac_header_compiler=yes
     6540else
     6541  echo "$as_me: failed program was:" >&5
     6542sed 's/^/| /' conftest.$ac_ext >&5
     6543
     6544ac_header_compiler=no
     6545fi
     6546rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6547echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     6548echo "${ECHO_T}$ac_header_compiler" >&6
     6549
     6550# Is the header present?
     6551echo "$as_me:$LINENO: checking $ac_header presence" >&5
     6552echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     6553cat >conftest.$ac_ext <<_ACEOF
     6554/* confdefs.h.  */
     6555_ACEOF
     6556cat confdefs.h >>conftest.$ac_ext
     6557cat >>conftest.$ac_ext <<_ACEOF
     6558/* end confdefs.h.  */
     6559#include <$ac_header>
     6560_ACEOF
     6561if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     6562  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     6563  ac_status=$?
     6564  grep -v '^ *+' conftest.er1 >conftest.err
     6565  rm -f conftest.er1
     6566  cat conftest.err >&5
     6567  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6568  (exit $ac_status); } >/dev/null; then
     6569  if test -s conftest.err; then
     6570    ac_cpp_err=$ac_c_preproc_warn_flag
     6571    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     6572  else
     6573    ac_cpp_err=
     6574  fi
     6575else
     6576  ac_cpp_err=yes
     6577fi
     6578if test -z "$ac_cpp_err"; then
     6579  ac_header_preproc=yes
     6580else
     6581  echo "$as_me: failed program was:" >&5
     6582sed 's/^/| /' conftest.$ac_ext >&5
     6583
     6584  ac_header_preproc=no
     6585fi
     6586rm -f conftest.err conftest.$ac_ext
     6587echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     6588echo "${ECHO_T}$ac_header_preproc" >&6
     6589
     6590# So?  What about this header?
     6591case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     6592  yes:no: )
     6593    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     6594echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     6595    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     6596echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     6597    ac_header_preproc=yes
     6598    ;;
     6599  no:yes:* )
     6600    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     6601echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     6602    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     6603echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     6604    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     6605echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     6606    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     6607echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     6608    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     6609echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     6610    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     6611echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     6612    (
     6613      cat <<\_ASBOX
     6614## ---------------------------------------------- ##
     6615## Report this to orxonox-dev at mail.datacore.ch ##
     6616## ---------------------------------------------- ##
     6617_ASBOX
     6618    ) |
     6619      sed "s/^/$as_me: WARNING:     /" >&2
     6620    ;;
     6621esac
     6622echo "$as_me:$LINENO: checking for $ac_header" >&5
     6623echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6624if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6625  echo $ECHO_N "(cached) $ECHO_C" >&6
     6626else
     6627  eval "$as_ac_Header=\$ac_header_preproc"
     6628fi
     6629echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6630echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6631
     6632fi
     6633if test `eval echo '${'$as_ac_Header'}'` = yes; then
     6634  cat >>confdefs.h <<_ACEOF
     6635#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     6636_ACEOF
     6637
     6638else
     6639  { { echo "$as_me:$LINENO: error: cannot find ogg header." >&5
     6640echo "$as_me: error: cannot find ogg header." >&2;}
     6641   { (exit 1); exit 1; }; }
     6642fi
     6643
     6644done
     6645
     6646# checking for ogg-lib
     6647  echo "$as_me:$LINENO: checking for main in -logg" >&5
     6648echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
     6649if test "${ac_cv_lib_ogg_main+set}" = set; then
     6650  echo $ECHO_N "(cached) $ECHO_C" >&6
     6651else
     6652  ac_check_lib_save_LIBS=$LIBS
     6653LIBS="-logg  $LIBS"
     6654cat >conftest.$ac_ext <<_ACEOF
     6655/* confdefs.h.  */
     6656_ACEOF
     6657cat confdefs.h >>conftest.$ac_ext
     6658cat >>conftest.$ac_ext <<_ACEOF
     6659/* end confdefs.h.  */
     6660
     6661
     6662int
     6663main ()
     6664{
     6665main ();
     6666  ;
     6667  return 0;
     6668}
     6669_ACEOF
     6670rm -f conftest.$ac_objext conftest$ac_exeext
     6671if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6672  (eval $ac_link) 2>conftest.er1
     6673  ac_status=$?
     6674  grep -v '^ *+' conftest.er1 >conftest.err
     6675  rm -f conftest.er1
     6676  cat conftest.err >&5
     6677  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6678  (exit $ac_status); } &&
     6679         { ac_try='test -z "$ac_c_werror_flag"
     6680                         || test ! -s conftest.err'
     6681  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6682  (eval $ac_try) 2>&5
     6683  ac_status=$?
     6684  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6685  (exit $ac_status); }; } &&
     6686         { ac_try='test -s conftest$ac_exeext'
     6687  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6688  (eval $ac_try) 2>&5
     6689  ac_status=$?
     6690  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6691  (exit $ac_status); }; }; then
     6692  ac_cv_lib_ogg_main=yes
     6693else
     6694  echo "$as_me: failed program was:" >&5
     6695sed 's/^/| /' conftest.$ac_ext >&5
     6696
     6697ac_cv_lib_ogg_main=no
     6698fi
     6699rm -f conftest.err conftest.$ac_objext \
     6700      conftest$ac_exeext conftest.$ac_ext
     6701LIBS=$ac_check_lib_save_LIBS
     6702fi
     6703echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_main" >&5
     6704echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
     6705if test $ac_cv_lib_ogg_main = yes; then
     6706  FOUND_ogg=yes
     6707fi
     6708
     6709     if test x$FOUND_ogg = xyes ; then
     6710       LIBS="$LIBS -logg"
     6711     else
     6712        echo "------------------"
     6713        echo "ogg library not found."
     6714        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     6715        echo "------------------"
     6716        exit -1
     6717     fi
     6718
     6719#--------#
     6720# vorbis #
     6721#--------#
     6722# checking for vorbis-lib
     6723  echo "$as_me:$LINENO: checking for main in -lvorbis" >&5
     6724echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
     6725if test "${ac_cv_lib_vorbis_main+set}" = set; then
     6726  echo $ECHO_N "(cached) $ECHO_C" >&6
     6727else
     6728  ac_check_lib_save_LIBS=$LIBS
     6729LIBS="-lvorbis  $LIBS"
     6730cat >conftest.$ac_ext <<_ACEOF
     6731/* confdefs.h.  */
     6732_ACEOF
     6733cat confdefs.h >>conftest.$ac_ext
     6734cat >>conftest.$ac_ext <<_ACEOF
     6735/* end confdefs.h.  */
     6736
     6737
     6738int
     6739main ()
     6740{
     6741main ();
     6742  ;
     6743  return 0;
     6744}
     6745_ACEOF
     6746rm -f conftest.$ac_objext conftest$ac_exeext
     6747if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6748  (eval $ac_link) 2>conftest.er1
     6749  ac_status=$?
     6750  grep -v '^ *+' conftest.er1 >conftest.err
     6751  rm -f conftest.er1
     6752  cat conftest.err >&5
     6753  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6754  (exit $ac_status); } &&
     6755         { ac_try='test -z "$ac_c_werror_flag"
     6756                         || test ! -s conftest.err'
     6757  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6758  (eval $ac_try) 2>&5
     6759  ac_status=$?
     6760  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6761  (exit $ac_status); }; } &&
     6762         { ac_try='test -s conftest$ac_exeext'
     6763  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6764  (eval $ac_try) 2>&5
     6765  ac_status=$?
     6766  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6767  (exit $ac_status); }; }; then
     6768  ac_cv_lib_vorbis_main=yes
     6769else
     6770  echo "$as_me: failed program was:" >&5
     6771sed 's/^/| /' conftest.$ac_ext >&5
     6772
     6773ac_cv_lib_vorbis_main=no
     6774fi
     6775rm -f conftest.err conftest.$ac_objext \
     6776      conftest$ac_exeext conftest.$ac_ext
     6777LIBS=$ac_check_lib_save_LIBS
     6778fi
     6779echo "$as_me:$LINENO: result: $ac_cv_lib_vorbis_main" >&5
     6780echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
     6781if test $ac_cv_lib_vorbis_main = yes; then
     6782  FOUND_vorbis=yes
     6783fi
     6784
     6785     if test x$FOUND_vorbis = xyes ; then
     6786       LIBS="$LIBS -lvorbis"
     6787     else
     6788        echo "------------------"
     6789        echo "vorbis library not found."
     6790        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     6791        echo "------------------"
     6792        exit -1
     6793     fi
     6794
     6795#------------#
     6796# vorbisfile #
     6797#------------#
     6798# checking for vorbis-headers
     6799
     6800for ac_header in vorbis/vorbisfile.h
     6801do
     6802as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     6803if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6804  echo "$as_me:$LINENO: checking for $ac_header" >&5
     6805echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6806if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6807  echo $ECHO_N "(cached) $ECHO_C" >&6
     6808fi
     6809echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6810echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6811else
     6812  # Is the header compilable?
     6813echo "$as_me:$LINENO: checking $ac_header usability" >&5
     6814echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     6815cat >conftest.$ac_ext <<_ACEOF
     6816/* confdefs.h.  */
     6817_ACEOF
     6818cat confdefs.h >>conftest.$ac_ext
     6819cat >>conftest.$ac_ext <<_ACEOF
     6820/* end confdefs.h.  */
     6821$ac_includes_default
     6822#include <$ac_header>
     6823_ACEOF
     6824rm -f conftest.$ac_objext
     6825if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6826  (eval $ac_compile) 2>conftest.er1
     6827  ac_status=$?
     6828  grep -v '^ *+' conftest.er1 >conftest.err
     6829  rm -f conftest.er1
     6830  cat conftest.err >&5
     6831  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6832  (exit $ac_status); } &&
     6833         { ac_try='test -z "$ac_c_werror_flag"
     6834                         || test ! -s conftest.err'
     6835  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6836  (eval $ac_try) 2>&5
     6837  ac_status=$?
     6838  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6839  (exit $ac_status); }; } &&
     6840         { ac_try='test -s conftest.$ac_objext'
     6841  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6842  (eval $ac_try) 2>&5
     6843  ac_status=$?
     6844  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6845  (exit $ac_status); }; }; then
     6846  ac_header_compiler=yes
     6847else
     6848  echo "$as_me: failed program was:" >&5
     6849sed 's/^/| /' conftest.$ac_ext >&5
     6850
     6851ac_header_compiler=no
     6852fi
     6853rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6854echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     6855echo "${ECHO_T}$ac_header_compiler" >&6
     6856
     6857# Is the header present?
     6858echo "$as_me:$LINENO: checking $ac_header presence" >&5
     6859echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     6860cat >conftest.$ac_ext <<_ACEOF
     6861/* confdefs.h.  */
     6862_ACEOF
     6863cat confdefs.h >>conftest.$ac_ext
     6864cat >>conftest.$ac_ext <<_ACEOF
     6865/* end confdefs.h.  */
     6866#include <$ac_header>
     6867_ACEOF
     6868if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     6869  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     6870  ac_status=$?
     6871  grep -v '^ *+' conftest.er1 >conftest.err
     6872  rm -f conftest.er1
     6873  cat conftest.err >&5
     6874  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6875  (exit $ac_status); } >/dev/null; then
     6876  if test -s conftest.err; then
     6877    ac_cpp_err=$ac_c_preproc_warn_flag
     6878    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     6879  else
     6880    ac_cpp_err=
     6881  fi
     6882else
     6883  ac_cpp_err=yes
     6884fi
     6885if test -z "$ac_cpp_err"; then
     6886  ac_header_preproc=yes
     6887else
     6888  echo "$as_me: failed program was:" >&5
     6889sed 's/^/| /' conftest.$ac_ext >&5
     6890
     6891  ac_header_preproc=no
     6892fi
     6893rm -f conftest.err conftest.$ac_ext
     6894echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     6895echo "${ECHO_T}$ac_header_preproc" >&6
     6896
     6897# So?  What about this header?
     6898case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     6899  yes:no: )
     6900    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     6901echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     6902    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     6903echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     6904    ac_header_preproc=yes
     6905    ;;
     6906  no:yes:* )
     6907    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     6908echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     6909    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     6910echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     6911    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     6912echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     6913    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     6914echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     6915    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     6916echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     6917    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     6918echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     6919    (
     6920      cat <<\_ASBOX
     6921## ---------------------------------------------- ##
     6922## Report this to orxonox-dev at mail.datacore.ch ##
     6923## ---------------------------------------------- ##
     6924_ASBOX
     6925    ) |
     6926      sed "s/^/$as_me: WARNING:     /" >&2
     6927    ;;
     6928esac
     6929echo "$as_me:$LINENO: checking for $ac_header" >&5
     6930echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6931if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6932  echo $ECHO_N "(cached) $ECHO_C" >&6
     6933else
     6934  eval "$as_ac_Header=\$ac_header_preproc"
     6935fi
     6936echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6937echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6938
     6939fi
     6940if test `eval echo '${'$as_ac_Header'}'` = yes; then
     6941  cat >>confdefs.h <<_ACEOF
     6942#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     6943_ACEOF
     6944
     6945else
     6946  { { echo "$as_me:$LINENO: error: cannot find vorbisfile header." >&5
     6947echo "$as_me: error: cannot find vorbisfile header." >&2;}
     6948   { (exit 1); exit 1; }; }
     6949fi
     6950
     6951done
     6952
     6953# checking for vorbisfile-lib
     6954  echo "$as_me:$LINENO: checking for main in -lvorbisfile" >&5
     6955echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
     6956if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
     6957  echo $ECHO_N "(cached) $ECHO_C" >&6
     6958else
     6959  ac_check_lib_save_LIBS=$LIBS
     6960LIBS="-lvorbisfile  $LIBS"
     6961cat >conftest.$ac_ext <<_ACEOF
     6962/* confdefs.h.  */
     6963_ACEOF
     6964cat confdefs.h >>conftest.$ac_ext
     6965cat >>conftest.$ac_ext <<_ACEOF
     6966/* end confdefs.h.  */
     6967
     6968
     6969int
     6970main ()
     6971{
     6972main ();
     6973  ;
     6974  return 0;
     6975}
     6976_ACEOF
     6977rm -f conftest.$ac_objext conftest$ac_exeext
     6978if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6979  (eval $ac_link) 2>conftest.er1
     6980  ac_status=$?
     6981  grep -v '^ *+' conftest.er1 >conftest.err
     6982  rm -f conftest.er1
     6983  cat conftest.err >&5
     6984  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6985  (exit $ac_status); } &&
     6986         { ac_try='test -z "$ac_c_werror_flag"
     6987                         || test ! -s conftest.err'
     6988  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6989  (eval $ac_try) 2>&5
     6990  ac_status=$?
     6991  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6992  (exit $ac_status); }; } &&
     6993         { ac_try='test -s conftest$ac_exeext'
     6994  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6995  (eval $ac_try) 2>&5
     6996  ac_status=$?
     6997  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6998  (exit $ac_status); }; }; then
     6999  ac_cv_lib_vorbisfile_main=yes
     7000else
     7001  echo "$as_me: failed program was:" >&5
     7002sed 's/^/| /' conftest.$ac_ext >&5
     7003
     7004ac_cv_lib_vorbisfile_main=no
     7005fi
     7006rm -f conftest.err conftest.$ac_objext \
     7007      conftest$ac_exeext conftest.$ac_ext
     7008LIBS=$ac_check_lib_save_LIBS
     7009fi
     7010echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_main" >&5
     7011echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
     7012if test $ac_cv_lib_vorbisfile_main = yes; then
     7013  FOUND_vorbisfile=yes
     7014fi
     7015
     7016     if test x$FOUND_vorbisfile = xyes ; then
     7017       LIBS="$LIBS -lvorbisfile"
     7018     else
     7019        echo "------------------"
     7020        echo "vorbisfile library not found."
     7021        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     7022        echo "------------------"
     7023        exit -1
     7024     fi
     7025
     7026#---------#
     7027# SDL_ttf #
     7028#---------#
     7029# checking for SDL_ttf-headers
     7030
     7031for ac_header in SDL_ttf.h
     7032do
     7033as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     7034if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7035  echo "$as_me:$LINENO: checking for $ac_header" >&5
     7036echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7037if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7038  echo $ECHO_N "(cached) $ECHO_C" >&6
     7039fi
     7040echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7041echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7042else
     7043  # Is the header compilable?
     7044echo "$as_me:$LINENO: checking $ac_header usability" >&5
     7045echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     7046cat >conftest.$ac_ext <<_ACEOF
     7047/* confdefs.h.  */
     7048_ACEOF
     7049cat confdefs.h >>conftest.$ac_ext
     7050cat >>conftest.$ac_ext <<_ACEOF
     7051/* end confdefs.h.  */
     7052$ac_includes_default
     7053#include <$ac_header>
     7054_ACEOF
     7055rm -f conftest.$ac_objext
     7056if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7057  (eval $ac_compile) 2>conftest.er1
     7058  ac_status=$?
     7059  grep -v '^ *+' conftest.er1 >conftest.err
     7060  rm -f conftest.er1
     7061  cat conftest.err >&5
     7062  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7063  (exit $ac_status); } &&
     7064         { ac_try='test -z "$ac_c_werror_flag"
     7065                         || test ! -s conftest.err'
     7066  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7067  (eval $ac_try) 2>&5
     7068  ac_status=$?
     7069  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7070  (exit $ac_status); }; } &&
     7071         { ac_try='test -s conftest.$ac_objext'
     7072  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7073  (eval $ac_try) 2>&5
     7074  ac_status=$?
     7075  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7076  (exit $ac_status); }; }; then
     7077  ac_header_compiler=yes
     7078else
     7079  echo "$as_me: failed program was:" >&5
     7080sed 's/^/| /' conftest.$ac_ext >&5
     7081
     7082ac_header_compiler=no
     7083fi
     7084rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7085echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     7086echo "${ECHO_T}$ac_header_compiler" >&6
     7087
     7088# Is the header present?
     7089echo "$as_me:$LINENO: checking $ac_header presence" >&5
     7090echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     7091cat >conftest.$ac_ext <<_ACEOF
     7092/* confdefs.h.  */
     7093_ACEOF
     7094cat confdefs.h >>conftest.$ac_ext
     7095cat >>conftest.$ac_ext <<_ACEOF
     7096/* end confdefs.h.  */
     7097#include <$ac_header>
     7098_ACEOF
     7099if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     7100  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     7101  ac_status=$?
     7102  grep -v '^ *+' conftest.er1 >conftest.err
     7103  rm -f conftest.er1
     7104  cat conftest.err >&5
     7105  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7106  (exit $ac_status); } >/dev/null; then
     7107  if test -s conftest.err; then
     7108    ac_cpp_err=$ac_c_preproc_warn_flag
     7109    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     7110  else
     7111    ac_cpp_err=
     7112  fi
     7113else
     7114  ac_cpp_err=yes
     7115fi
     7116if test -z "$ac_cpp_err"; then
     7117  ac_header_preproc=yes
     7118else
     7119  echo "$as_me: failed program was:" >&5
     7120sed 's/^/| /' conftest.$ac_ext >&5
     7121
     7122  ac_header_preproc=no
     7123fi
     7124rm -f conftest.err conftest.$ac_ext
     7125echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     7126echo "${ECHO_T}$ac_header_preproc" >&6
     7127
     7128# So?  What about this header?
     7129case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     7130  yes:no: )
     7131    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     7132echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     7133    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     7134echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     7135    ac_header_preproc=yes
     7136    ;;
     7137  no:yes:* )
     7138    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     7139echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     7140    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     7141echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     7142    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     7143echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     7144    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     7145echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     7146    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     7147echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     7148    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     7149echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     7150    (
     7151      cat <<\_ASBOX
     7152## ---------------------------------------------- ##
     7153## Report this to orxonox-dev at mail.datacore.ch ##
     7154## ---------------------------------------------- ##
     7155_ASBOX
     7156    ) |
     7157      sed "s/^/$as_me: WARNING:     /" >&2
     7158    ;;
     7159esac
     7160echo "$as_me:$LINENO: checking for $ac_header" >&5
     7161echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7162if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7163  echo $ECHO_N "(cached) $ECHO_C" >&6
     7164else
     7165  eval "$as_ac_Header=\$ac_header_preproc"
     7166fi
     7167echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7168echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7169
     7170fi
     7171if test `eval echo '${'$as_ac_Header'}'` = yes; then
     7172  cat >>confdefs.h <<_ACEOF
     7173#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     7174_ACEOF
     7175
     7176else
    64087177  { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
    64097178echo "$as_me: error: cannot find SDL_ttf header." >&2;}
     
    64867255        exit -1
    64877256     fi
     7257
    64887258
    64897259#-----------#
Note: See TracChangeset for help on using the changeset viewer.